com.pixelmed.geometry

## Class LocalizerPosterFactory

- java.lang.Object
- - com.pixelmed.geometry.LocalizerPosterFactory

    public class LocalizerPosterFactory
    extends java.lang.Object

An factory class that provides instances of `LocalizerPoster` that are used for posting the position of specified slices and volumes on (usually orthogonal) localizer images.

See Also:
  `LocalizerPoster`

### Method Summary

Methods
`static void` `dumpShape(java.awt.Shape shape)`
`static void` `dumpShapes(java.util.Vector shapes)`
`static LocalizerPoster` `getLocalizerPoster(boolean projectRatherThanIntersect, boolean planeRatherThanVolume)` Return a `LocalizerPoster` with the specified characteristics.
`static void` `main(java.lang.String[] arg)` For testing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### dumpShape

    public static final void dumpShape(java.awt.Shape shape)

#### dumpShapes

    public static final void dumpShapes(java.util.Vector shapes)

#### getLocalizerPoster

    public static LocalizerPoster getLocalizerPoster(boolean projectRatherThanIntersect,
                                     boolean planeRatherThanVolume)

Return a `LocalizerPoster` with the specified characteristics.

Parameters:
  `projectRatherThanIntersect` - if true, project onto the localizer rather than intersect with it
  `planeRatherThanVolume` - for intersection (only), outline the intersection of a volume (cube)rather than a slice (rectangle)
Returns:
  an appropriate localizer poster, or null if one cannot be instantiated

#### main

    public static void main(java.lang.String[] arg)

For testing.

Parameters:
  `arg` - ignored